# JavadocOutputLevel

enum JavadocOutputLevel

This enum maps to the -verbose and -quiet options of the javadoc executable.

## Entries

VERBOSE
Link copied to clipboard
VERBOSE

-verbose Provides more detailed messages while javadoc is running. Without the verbose option, messages appear for loading the source files, generating the documentation (one message per source file), and sorting. The verbose option causes the printing of additional messages specifying the number of milliseconds to parse each java source file.

QUIET
Link copied to clipboard
QUIET

-quiet Shuts off non-error and non-warning messages, leaving only the warnings and errors appear, making them easier to view. Also suppresses the version string.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): JavadocOutputLevel

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<JavadocOutputLevel>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.